signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SignonDaemonNS::SignonSessionCore Class Reference

Daemon side representation of authentication session. More...

`#include <signonsessioncore.h>`

Inheritance diagram for SignonDaemonNS::SignonSessionCore:
[legend]
Collaboration diagram for SignonDaemonNS::SignonSessionCore:
[legend]

## Public Slots
QStringList | queryAvailableMechanisms (const QStringList &wantedMechanisms)
void | process (const QDBusConnection &connection, const QDBusMessage &message, const QVariantMap &sessionDataVa, const QString &mechanism, const QString &cancelKey)
void | cancel (const QString &cancelKey)
void | setId (quint32 id)
void | credentialsSystemReady ()
Public Slots inherited from SignonDaemonNS::SignonDisposable
static void | destroyUnused ()
| Deletes all disposable object for which the inactivity time has elapsed. More...

## Signals
void | stateChanged (const QString &requestId, int state, const QString &message)

## Public Member Functions
virtual | ~SignonSessionCore ()
quint32 | id () const
QString | method () const
bool | setupPlugin ()
void | destroy ()
| Performs any predestruction operations and the destruction itself. More...
Public Member Functions inherited from SignonDaemonNS::SignonDisposable
| SignonDisposable (int maxInactivity, QObject *parent)
| Construct an object that can be automatically destroyed after having being unused for seconds. More...
void | keepInUse () const
| Mark the object as used. More...
void | setAutoDestruct (bool value=true) const
| Mark the object as used. More...

## Static Public Member Functions
static SignonSessionCore * | sessionCore (const quint32 id, const QString &method, SignonDaemon *parent)
static void | stopAllAuthSessions ()
static QStringList | loadedPluginMethods (const QString &method)
Static Public Member Functions inherited from SignonDaemonNS::SignonDisposable
static void | invokeOnIdle (int maxInactivity, QObject *object, const char *member)
| Invoke the specified method on when there are no disposable objects for more than seconds. More...

## Protected Member Functions
| SignonSessionCore (quint32 id, const QString &method, int timeout, QObject *parent)
void | childEvent (QChildEvent *ce)
void | customEvent (QEvent *event)
Protected Member Functions inherited from SignonDaemonNS::SignonDisposable
virtual | ~SignonDisposable ()

## Detailed Description

Daemon side representation of authentication session.

Todo:
  description.

Definition at line 50 of file signonsessioncore.h.

## Constructor & Destructor Documentation

SignonSessionCore::~SignonSessionCore | ( |  | ) |
| virtual

Definition at line 97 of file signonsessioncore.cpp.

SignonSessionCore::SignonSessionCore | ( | quint32 | id,
|  | const QString & | method,
|  | int | timeout,
|  | QObject * | parent
| ) |  |
| protected

Definition at line 74 of file signonsessioncore.cpp.

References credentialsSystemReady(), SignonDaemonNS::CredentialsAccessManager::instance(), SIGNON_UI_DAEMON_OBJECTPATH, and SIGNON_UI_SERVICE.

Referenced by sessionCore().

## Member Function Documentation

void SignonSessionCore::cancel | ( | const QString & | cancelKey | ) |
| slot

Definition at line 254 of file signonsessioncore.cpp.

References SignonDaemonNS::PluginProxy::cancel(), SignonUiAdaptor::cancelUiRequest(), SignonDaemonNS::RequestData::m_msg, and TRACE.

Referenced by SignonDaemonNS::SignonAuthSession::cancel().

void SignonSessionCore::childEvent | ( | QChildEvent * | ce | ) |
| protected

Definition at line 807 of file signonsessioncore.cpp.

References SignonDaemonNS::SignonDisposable::destroyUnused(), and SignonDaemonNS::SignonDisposable::keepInUse().

void SignonSessionCore::credentialsSystemReady | ( |  | ) |
| slot

Definition at line 934 of file signonsessioncore.cpp.

Referenced by SignonSessionCore().

void SignonSessionCore::customEvent | ( | QEvent * | event | ) |
| protected

Definition at line 815 of file signonsessioncore.cpp.

References SIGNON_SECURE_STORAGE_AVAILABLE, SIGNON_SECURE_STORAGE_NOT_AVAILABLE, and TRACE.

void SignonSessionCore::destroy | ( |  | ) |
| virtual

Performs any predestruction operations and the destruction itself.

Reimplement this for smoother control.

Reimplemented from SignonDaemonNS::SignonDisposable.

Definition at line 917 of file signonsessioncore.cpp.

References SignonDaemonNS::SignonDisposable::keepInUse(), sessionsOfNonStoredCredentials, and sessionsOfStoredCredentials.

quint32 SignonSessionCore::id | ( |  | ) | const

Definition at line 139 of file signonsessioncore.cpp.

References SignonDaemonNS::SignonDisposable::keepInUse(), and TRACE.

Referenced by setId().

QStringList SignonSessionCore::loadedPluginMethods | ( | const QString & | method | ) |
| static

Definition at line 210 of file signonsessioncore.cpp.

References method(), queryAvailableMechanisms(), sessionsOfNonStoredCredentials, and sessionsOfStoredCredentials.

QString SignonSessionCore::method | ( |  | ) | const

Definition at line 146 of file signonsessioncore.cpp.

References SignonDaemonNS::SignonDisposable::keepInUse(), and TRACE.

Referenced by loadedPluginMethods().

void SignonSessionCore::process | ( | const QDBusConnection & | connection,
|  | const QDBusMessage & | message,
|  | const QVariantMap & | sessionDataVa,
|  | const QString & | mechanism,
|  | const QString & | cancelKey
| ) |  |
| slot

Definition at line 237 of file signonsessioncore.cpp.

References SignonDaemonNS::CredentialsAccessManager::instance(), and SignonDaemonNS::SignonDisposable::keepInUse().

Referenced by SignonDaemonNS::SignonAuthSession::process().

QStringList SignonSessionCore::queryAvailableMechanisms | ( | const QStringList & | wantedMechanisms | ) |
| slot

Definition at line 226 of file signonsessioncore.cpp.

References SignonDaemonNS::SignonDisposable::keepInUse(), and SignonDaemonNS::PluginProxy::mechanisms().

Referenced by loadedPluginMethods(), and SignonDaemonNS::SignonAuthSession::queryAvailableMechanisms().

SignonSessionCore * SignonSessionCore::sessionCore | ( | const quint32 | id,
|  | const QString & | method,
|  | SignonDaemon * | parent
| ) |  |
| static

Definition at line 108 of file signonsessioncore.cpp.

References SignonDaemonNS::SignonDaemon::authSessionTimeout(), sessionsOfNonStoredCredentials, sessionsOfStoredCredentials, setupPlugin(), SignonSessionCore(), and TRACE.

Referenced by SignonDaemonNS::SignonAuthSession::createAuthSession().

void SignonSessionCore::setId | ( | quint32 | id | ) |
| slot

Definition at line 301 of file signonsessioncore.cpp.

References id(), SignonDaemonNS::SignonDisposable::keepInUse(), sessionsOfNonStoredCredentials, and sessionsOfStoredCredentials.

Referenced by SignonDaemonNS::SignonAuthSession::setId().

bool SignonSessionCore::setupPlugin | ( |  | ) |

Definition at line 153 of file signonsessioncore.cpp.

References SignonDaemonNS::PluginProxy::createNewPluginProxy(), stateChanged(), and TRACE.

Referenced by sessionCore().

void SignonDaemonNS::SignonSessionCore::stateChanged | ( | const QString & | requestId,
|  | int | state,
|  | const QString & | message
| ) |  |
| signal

Referenced by setupPlugin().

void SignonSessionCore::stopAllAuthSessions | ( |  | ) |
| static

Definition at line 201 of file signonsessioncore.cpp.

References sessionsOfNonStoredCredentials, and sessionsOfStoredCredentials.

Referenced by SignonDaemonNS::SignonAuthSession::stopAllAuthSessions().

The documentation for this class was generated from the following files:

- src/signond/signonsessioncore.h
- src/signond/signonsessioncore.cpp